#if USE_QT
#include <QApplication>
#include "QtPreprocessorThread.h"
#include "Camera.h"
#include "KdTree.h"
#include "SceneGraph.h"
#include "Preprocessor.h"


namespace GtpVisibilityPreprocessor {


QtPreprocessorThread::QtPreprocessorThread(Preprocessor *p,
										   QObject *parent):PreprocessorThread(p),
															QThread(parent)
															
{
  if (p->mQuitOnFinish)
	{
	  connect(this, SIGNAL(finished()), qApp, SLOT(closeAllWindows(void)));
	}
}


QtPreprocessorThread::~QtPreprocessorThread()
{
  cerr<<"Preprocessor thread destructor...\n";
}

}

#endif
